#include "metadatadialog.h"
#include "ui_metadatadialog.h"

MetaDataDialog::MetaDataDialog(QWidget *parent, QStringList nameList, QStringList typeList) :
    QDialog(parent),
	ui(new Ui::MetaDataDialog)
{
    ui->setupUi(this);

    for(int i = 0; i < (int)nameList.size(); i++) {
        ui->metaDataNames->appendPlainText(QString("%1:%2").arg(nameList[i]).arg(typeList[i]));
	}
}

MetaDataDialog::~MetaDataDialog()
{
    delete ui;
}

void MetaDataDialog::accept()
{
	metaDataNames = ui->metaDataNames->toPlainText().split('\n', QString::SkipEmptyParts);
	for(int i = 0; i < (int)metaDataNames.size(); i++) {
		metaDataNames[i] = metaDataNames[i].trimmed();
	}

	done(QDialog::Accepted);
}

QStringList MetaDataDialog::getNames()
{
	return metaDataNames;
}
