#ifndef PIXELANNOTATION_H
#define PIXELANNOTATION_H

#include <QStringList>

#include <opencv2/opencv.hpp>
#include <opencv2/imgproc/imgproc.hpp>

class PixelAnnotation
{
public:
    PixelAnnotation(int id, QStringList metaDataNames = QStringList(), QStringList metaDataTypes = QStringList());

    int id();
    void id(int id);
    cv::Mat getMask();
    cv::Mat getMaskNoDontCare();
    cv::Mat getMaskOnlyDontCare();
    void setMask(cv::Mat mask, bool addDontCare = false, int borderThickness = 3, int borderColor = 170);
    void setDontCareMask(cv::Mat dontCareMask);

    static void generateDontCareFromMask(cv::Mat mask, cv::Mat &onlyDontCare, int borderThickness = 3, int borderColor = 170);

    int getMetaDataSize();
    QStringList getMetaData();
    QString getMetaData(int metaDataId);
    void setMetaData(int metaDataId, QString value);
    void setMetaData(int metaDataId, bool value);
    void setMetaData(QStringList values);
    void toggleMetaData(int metaDataId);
    QString getMetaDataName(int metaDataId);
    QStringList getMetaDataNames();
    QString getMetaDataType(int metaDataId);

private:
    int theId;
    cv::Mat maskNoDontCare;
    cv::Mat maskOnlyDontCare;

    QStringList metaDataNames;
    QStringList metaDataTypes;
    QStringList metaDataValues;
};

#endif // PIXELANNOTATION_H
